Index: /trunk/sources/HeuristicLab.Core/Scope.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/Scope.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/Scope.cs	(revision 776)
@@ -26,8 +26,14 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Hierarchical container of variables (and of subscopes).
+  /// </summary>
   public class Scope : ItemBase, IScope {
     private IScope parent;
 
-    private string myName;
+    private string myName; 
+    /// <summary>
+    /// Gets the name of the current scope.
+    /// </summary>
     public string Name {
       get { return myName; }
@@ -35,16 +41,25 @@
 
     private IDictionary<string, IVariable> myVariables;
+    /// <inheritdoc/>
     public ICollection<IVariable> Variables {
       get { return myVariables.Values; }
     }
     private IDictionary<string, string> myAliases;
+    /// <inheritdoc/>
     public IEnumerable<KeyValuePair<string, string>> Aliases {
       get { return myAliases; }
     }
     private List<IScope> mySubScopes;
+    /// <summary>
+    /// Gets all subscopes of the current instance.
+    /// <note type="caution"> The subscopes are returned as read-only.</note>
+    /// </summary>
     public IList<IScope> SubScopes {
       get { return mySubScopes.AsReadOnly(); }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="Scope"/> having "Anonymous" as default name.
+    /// </summary>
     public Scope() {
       myName = "Anonymous";
@@ -53,4 +68,8 @@
       mySubScopes = new List<IScope>();
     }
+    /// <summary>
+    /// Initializes a new instance of <see cref="Scope"/> with the given <paramref name="name"/>.
+    /// </summary>
+    /// <param name="name">The name of the scope.</param>
     public Scope(string name)
       : this() {
@@ -58,12 +77,18 @@
     }
 
+    /// <inheritdoc/>
     public void SetParent(IScope scope) {
       parent = scope;
     }
 
+    /// <summary>
+    /// Creates a new instance of <see cref="ScopeView"/> to represent the current instance visually.
+    /// </summary>
+    /// <returns>The created view as <see cref="ScopeView"/>.</returns>
     public override IView CreateView() {
       return new ScopeView(this);
     }
 
+    /// <inheritdoc/>
     public IVariable GetVariable(string name) {
       IVariable variable;
@@ -73,4 +98,5 @@
         return null;
     }
+    /// <inheritdoc/>
     public void AddVariable(IVariable variable) {
       myVariables.Add(variable.Name, variable);
@@ -80,4 +106,5 @@
     }
 
+    /// <inheritdoc/>
     public void RemoveVariable(string name) {
       IVariable variable;
@@ -102,13 +129,17 @@
       myVariables.Add(variable.Name, variable);
     }
+    /// <inheritdoc cref="IScope.GetVariableValue&lt;T&gt;(string, bool)"/>
     public T GetVariableValue<T>(string name, bool recursiveLookup) where T : class, IItem {
       return GetVariableValue<T>(name, recursiveLookup, true);
     }
+    /// <inheritdoc cref="IScope.GetVariableValue&lt;T&gt;(string, bool, bool)"/>
     public T GetVariableValue<T>(string name, bool recursiveLookup, bool throwOnError) where T : class, IItem {
       return (T)GetVariableValue(name, recursiveLookup, throwOnError);
     }
+    /// <inheritdoc cref="IScope.GetVariableValue(string, bool)"/>
     public IItem GetVariableValue(string name, bool recursiveLookup) {
       return GetVariableValue(name, recursiveLookup, true);
     }
+    /// <inheritdoc cref="IScope.GetVariableValue(string, bool, bool)"/>
     public IItem GetVariableValue(string name, bool recursiveLookup, bool throwOnError) {
       IVariable variable;
@@ -127,5 +158,5 @@
       }
     }
-
+    /// <inheritdoc/>
     public string TranslateName(string name) {
       while (myAliases.ContainsKey(name))
@@ -135,4 +166,5 @@
       return name;
     }
+    /// <inheritdoc/>
     public void AddAlias(string alias, string name) {
       RemoveAlias(alias);
@@ -142,4 +174,5 @@
       }
     }
+    /// <inheritdoc/>
     public void RemoveAlias(string alias) {
       if (myAliases.ContainsKey(alias)) {
@@ -149,4 +182,5 @@
     }
 
+    /// <inheritdoc/>
     public void AddSubScope(IScope scope) {
       scope.SetParent(this);
@@ -154,4 +188,5 @@
       OnSubScopeAdded(scope, mySubScopes.Count - 1);
     }
+    /// <inheritdoc/>
     public void RemoveSubScope(IScope scope) {
       int index = mySubScopes.IndexOf(scope);
@@ -161,4 +196,5 @@
       }
     }
+    /// <inheritdoc/>
     public void ReorderSubScopes(int[] sequence) {
       IScope[] scopes = mySubScopes.ToArray();
@@ -168,4 +204,5 @@
       OnSubScopesReordered();
     }
+    /// <inheritdoc/>
     public IScope GetScope(Guid guid) {
       if (Guid == guid) return this;
@@ -178,4 +215,5 @@
       return null;
     }
+    /// <inheritdoc/>
     public IScope GetScope(string name) {
       if (Name == name) return this;
@@ -189,4 +227,5 @@
     }
 
+    /// <inheritdoc/>
     public void Clear() {
       string[] variableNames = new string[Variables.Count];
@@ -208,4 +247,5 @@
     }
 
+    /// <inheritdoc/>
     public override object Clone(IDictionary<Guid, object> clonedObjects) {
       Scope clone = (Scope)base.Clone(clonedObjects);
@@ -222,35 +262,71 @@
     }
 
+    /// <inheritdoc />
     public event EventHandler<VariableEventArgs> VariableAdded;
+    /// <summary>
+    /// Fires a new <c>VariableAdded</c> event.
+    /// </summary>
+    /// <param name="variable">The variable that has been added.</param>
     protected virtual void OnVariableAdded(IVariable variable) {
       if (VariableAdded != null)
         VariableAdded(this, new VariableEventArgs(variable));
     }
+    /// <inheritdoc />
     public event EventHandler<VariableEventArgs> VariableRemoved;
+    /// <summary>
+    /// Fires a new <c>VariableRemoved</c>.
+    /// </summary>
+    /// <param name="variable">The variable that has been deleted.</param>
     protected virtual void OnVariableRemoved(IVariable variable) {
       if (VariableRemoved != null)
         VariableRemoved(this, new VariableEventArgs(variable));
     }
+    /// <inheritdoc /> 
     public event EventHandler<AliasEventArgs> AliasAdded;
+    /// <summary>
+    /// Fires a new <c>AliasAdded</c> event.
+    /// </summary>
+    /// <param name="alias">The alias that has been added.</param>
     protected virtual void OnAliasAdded(string alias) {
       if (AliasAdded != null)
         AliasAdded(this, new AliasEventArgs(alias));
     }
+    /// <inheritdoc/>
     public event EventHandler<AliasEventArgs> AliasRemoved;
+    /// <summary>
+    /// Fires a new <c>AliasRemoved</c> event.
+    /// </summary>
+    /// <param name="alias">The alias that has been deleted.</param>
     protected virtual void OnAliasRemoved(string alias) {
       if (AliasRemoved != null)
         AliasRemoved(this, new AliasEventArgs(alias));
     }
+    /// <inheritdoc/>
     public event EventHandler<ScopeIndexEventArgs> SubScopeAdded;
+    /// <summary>
+    /// Fires a new <c>SubScopeAdded</c> event.
+    /// </summary>
+    /// <param name="scope">The sub scope that has been added.</param>
+    /// <param name="index">The index where the scope has been added.</param>
     protected virtual void OnSubScopeAdded(IScope scope, int index) {
       if (SubScopeAdded != null)
         SubScopeAdded(this, new ScopeIndexEventArgs(scope, index));
     }
+    /// <inheritdoc/>
     public event EventHandler<ScopeIndexEventArgs> SubScopeRemoved;
+    /// <summary>
+    /// Fires a new <c>SubScopeRemoved</c> event.
+    /// </summary>
+    /// <param name="scope">The sub scope that has been deleted.</param>
+    /// <param name="index">The position of the sub scope.</param>
     protected virtual void OnSubScopeRemoved(IScope scope, int index) {
       if (SubScopeRemoved != null)
         SubScopeRemoved(this, new ScopeIndexEventArgs(scope, index));
     }
+    /// <inheritdoc />
     public event EventHandler SubScopesReordered;
+    /// <summary>
+    /// Fires a new <c>SubScopesReordered</c> event
+    /// </summary>
     protected virtual void OnSubScopesReordered() {
       if (SubScopesReordered != null)
@@ -259,4 +335,38 @@
 
     #region Persistence Methods
+    /// <summary>
+    /// Saves the current instance as <see cref="XmlNode"/> in the given <paramref name="document"/>.
+    /// </summary>
+    /// <remarks>
+    /// Calls <see cref="StorableBase.GetXmlNode"/> of base class <see cref="ItemBase"/>.<br/>
+    /// A quick overview how the single elements of the current instance are saved:
+    /// <list type="bullet">
+    /// <item>
+    /// <term>Name: </term>
+    /// <description>Saved as an <see cref="XmlAttribute"/> having the tag name <c>Name</c>.</description>
+    /// </item>
+    /// <item>
+    /// <term>Variables: </term>
+    /// <description>A child node is created with the tag name <c>Variables</c>. Beyond this child node,
+    /// all variables are saved as child nodes.</description>
+    /// </item>
+    /// <item>
+    /// <term>Aliases: </term>
+    /// <description>A child node is created with the tag name <c>Aliases</c>. Beyond this child node, 
+    /// all aliases are saved as child nodes with the tag name <c>Alias</c>. Each alias has an
+    /// <see cref="XmlAttribute"/> with the tag name "Alias", holding the alias, and an attribute 
+    /// with the tag name <c>Name</c>, holding the name of the alias.</description>
+    /// </item>
+    /// <item>
+    /// <term>Sub scopes: </term>
+    /// <description>A child node is created with the tag name <c>SubScopes</c>. Beyond this child node,
+    /// all sub scopes are saved as child nodes.</description>
+    /// </item>
+    /// </list>
+    /// </remarks>
+    /// <param name="name">The (tag)name of the <see cref="XmlNode"/>.</param>
+    /// <param name="document">The <see cref="XmlDocument"/> where to save the data.</param>
+    /// <param name="persistedObjects">The dictionary of all already persisted objects. (Needed to avoid cycles.)</param>
+    /// <returns>The saved <see cref="XmlNode"/>.</returns>
     public override XmlNode GetXmlNode(string name, XmlDocument document, IDictionary<Guid,IStorable> persistedObjects) {
       XmlNode node = base.GetXmlNode(name, document, persistedObjects);
@@ -290,4 +400,13 @@
       return node;
     }
+    /// <summary>
+    /// Loads the persisted scope from the specified <paramref name="node"/>.
+    /// </summary>
+    /// <remarks>See <see cref="GetXmlNode"/> to get further information on how the current instance must
+    /// be saved. <br/>
+    /// Calls <see cref="StorableBase.Populate"/> of base class <see cref="ItemBase"/>.</remarks>
+    /// <param name="node">The <see cref="XmlNode"/> where the boolean value is saved.</param>
+    /// <param name="restoredObjects">The dictionary of all already restored objects. 
+    /// (Needed to avoid cycles.)</param>
     public override void Populate(XmlNode node, IDictionary<Guid,IStorable> restoredObjects) {
       base.Populate(node, restoredObjects);
Index: /trunk/sources/HeuristicLab.Core/ScopeEventArgs.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/ScopeEventArgs.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/ScopeEventArgs.cs	(revision 776)
@@ -25,9 +25,21 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Event arguments to be able to specify the affected scope.
+  /// </summary>
   public class ScopeEventArgs : ItemEventArgs {
+    /// <summary>
+    /// Gets the affected scope.
+    /// </summary>
+    /// <remarks>Uses property <see cref="ItemEventArgs.Item"/> of base class <see cref="ItemEventArgs"/>.
+    /// No own data storage present.</remarks>
     public IScope Scope {
       get { return (IScope)Item; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="ScopeEventArgs"/> with the specified scope.
+    /// </summary>
+    /// <param name="scope">The affected scope.</param>
     public ScopeEventArgs(IScope scope)
       : base(scope) {
Index: /trunk/sources/HeuristicLab.Core/ScopeIndexEventArgs.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/ScopeIndexEventArgs.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/ScopeIndexEventArgs.cs	(revision 776)
@@ -25,9 +25,24 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Event arguments to be able to specify the affected scope at the specified index.
+  /// </summary>
   public class ScopeIndexEventArgs : ItemIndexEventArgs {
+    /// <summary>
+    /// Gets the affected scope.
+    /// </summary>
+    /// <remarks>Uses property <see cref="ItemEventArgs.Item"/> of base class 
+    /// <see cref="ItemIndexEventArgs"/>. No own data storage present.</remarks>
     public IScope Scope {
       get { return (IScope)Item; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="ScopeIndexEventArgs"/> with the specified 
+    /// <paramref name="scope"/> and <paramref name="index"/>.
+    /// </summary>
+    /// <remarks>Calls constructor of base class <see cref="ItemIndexEventArgs"/>.</remarks>
+    /// <param name="scope">The affected scope.</param>
+    /// <param name="index">The affected index.</param>
     public ScopeIndexEventArgs(IScope scope, int index)
       : base(scope, index) {
Index: /trunk/sources/HeuristicLab.Core/ScopeView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/ScopeView.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/ScopeView.cs	(revision 776)
@@ -30,8 +30,16 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// The visual represenation of <see cref="IScope"/>.
+  /// </summary>
   public partial class ScopeView : ViewBase {
     private Dictionary<IScope, TreeNode> scopeNodeTable;
     private Dictionary<IScope, bool> scopeExpandedTable;
 
+    /// <summary>
+    /// Gets or sets the scope to represent visually.
+    /// </summary>
+    /// <remarks>Uses property <see cref="ViewBase.Item"/> of base class <see cref="ViewBase"/>.
+    /// No own data storage present.</remarks>
     public IScope Scope {
       get { return (IScope)Item; }
@@ -39,8 +47,15 @@
     }
     private bool myAutomaticUpdating;
+    /// <summary>
+    /// Gets information whether the scope is automatically updating. 
+    /// </summary>
     public bool AutomaticUpdating {
       get { return myAutomaticUpdating; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="ScopeView"/> with caption "Scope" and 
+    /// property <see cref="AutomaticUpdating"/> set to <c>false</c>.
+    /// </summary>
     public ScopeView() {
       InitializeComponent();
@@ -50,4 +65,9 @@
       myAutomaticUpdating = false;
     }
+    /// <summary>
+    /// Initializes a new instance of <see cref="ScopeView"/> with the given <paramref name="scope"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="ScopeView()"/>.</remarks>
+    /// <param name="scope">The scope to represent visually.</param>
     public ScopeView(IScope scope)
       : this() {
@@ -55,4 +75,8 @@
     }
 
+    /// <summary>
+    /// Updates all controls with the latest data of the model.
+    /// </summary>
+    /// <remarks>Calls <see cref="ViewBase.UpdateControls"/> of base class <see cref="ViewBase"/>.</remarks>
     protected override void UpdateControls() {
       base.UpdateControls();
Index: /trunk/sources/HeuristicLab.Core/StorableBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/StorableBase.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/StorableBase.cs	(revision 776)
@@ -26,17 +26,37 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// The base class for all storable objects.
+  /// </summary>
   public abstract class StorableBase : IStorable {
     private Guid myGuid;
+    /// <summary>
+    /// Gets the Guid of the item.
+    /// </summary>
     public Guid Guid {
       get { return myGuid; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of the class <see cref="StorableBase"/> with a new <see cref="Guid"/>. 
+    /// </summary>
     protected StorableBase() {
       myGuid = Guid.NewGuid();
     }
 
+    /// <summary>
+    /// Clones the current instance (deep clone).
+    /// </summary>
+    /// <remarks>Uses the <see cref="Auxiliary.Clone"/> method of the class <see cref="Auxiliary"/>.</remarks>
+    /// <returns>The clone.</returns>
     public object Clone() {
       return Auxiliary.Clone(this, new Dictionary<Guid, object>());
     }
+    /// <summary>
+    /// Clones the current instance with the <see cref="M:Activator.CreateInstance"/> 
+    /// method of <see cref="Activator"/>.
+    /// </summary>
+    /// <param name="clonedObjects">All already cloned objects.</param>
+    /// <returns>The clone.</returns>
     public virtual object Clone(IDictionary<Guid, object> clonedObjects) {
       object clone = Activator.CreateInstance(this.GetType());
@@ -45,4 +65,13 @@
     }
 
+    /// <summary>
+    /// Saves the current instance as <see cref="XmlNode"/> in the specified <paramref name="document"/>.
+    /// </summary>
+    /// <remarks>The type of the current instance is saved as <see cref="XmlAttribute"/> with tag name
+    /// <c>Type</c>, the guid is also saved as an attribute with the tag name <c>GUID</c>.</remarks>
+    /// <param name="name">The (tag)name of the <see cref="XmlNode"/>.</param>
+    /// <param name="document">The <see cref="XmlDocument"/> where to save the data.</param>
+    /// <param name="persistedObjects">The dictionary of all already persisted objects. (Needed to avoid cycles.)</param>
+    /// <returns>The saved <see cref="XmlNode"/>.</returns>
     public virtual XmlNode GetXmlNode(string name, XmlDocument document, IDictionary<Guid,IStorable> persistedObjects) {
       XmlNode node = document.CreateNode(XmlNodeType.Element, name, null);
@@ -55,4 +84,11 @@
       return node;
     }
+    /// <summary>
+    /// Loads the persisted object from the specified <paramref name="node"/>.
+    /// </summary>
+    /// <remarks>Loads only guid; type,... already loaded by the <see cref="PersistenceManager"/>.</remarks>
+    /// <param name="node">The <see cref="XmlNode"/> where the object is saved.</param>
+    /// <param name="restoredObjects">The dictionary of all already restored objects. 
+    /// (Needed to avoid cycles.)</param>
     public virtual void Populate(XmlNode node, IDictionary<Guid,IStorable> restoredObjects) {
       myGuid = new Guid(node.Attributes["GUID"].Value);
Index: /trunk/sources/HeuristicLab.Core/Variable.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/Variable.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/Variable.cs	(revision 776)
@@ -26,6 +26,12 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Represents a variable of an operator having a name and a value.
+  /// </summary>
   public class Variable : ItemBase, IVariable {
     private string myName;
+    /// <inheritdoc/>
+    /// <remarks>Calls <see cref="OnNameChanging"/> and also <see cref="OnNameChanged"/> 
+    /// eventually in the setter.</remarks>
     public string Name {
       get { return myName; }
@@ -42,4 +48,6 @@
     }
     private IItem myValue;
+    /// <inheritdoc/>
+    /// <remarks>Calls <see cref="OnValueChanged"/> in the setter.</remarks>
     public IItem Value {
       get { return myValue; }
@@ -51,9 +59,19 @@
       }
     }
-
+    
+    /// <summary>
+    /// Initializes a new instance of <see cref="Variable"/> with name <c>Anonymous</c> 
+    /// and value <c>null</c>.
+    /// </summary>
     public Variable() {
       myName = "Anonymous";
       myValue = null;
     }
+    /// <summary>
+    /// Initializes a new instance of <see cref="Variable"/> with the specififed <paramref name="name"/>
+    /// and the specified <paramref name="value"/>.
+    /// </summary>
+    /// <param name="name">The name of the current instance.</param>
+    /// <param name="value">The value of the current instance.</param>
     public Variable(string name, IItem value) {
       myName = name;
@@ -61,12 +79,22 @@
     }
 
+    /// <inheritdoc cref="IVariable.GetValue&lt;T&gt;"/>
     public T GetValue<T>() where T : class, IItem {
       return (T)Value;
     }
 
+    /// <summary>
+    /// Creates a new instance of <see cref="VariableView"/> to represent the current instance visually.
+    /// </summary>
+    /// <returns>The created view as <see cref="VariableView"/>.</returns>
     public override IView CreateView() {
       return new VariableView(this);
     }
 
+    /// <summary>
+    /// Clones the current instance (deep clone).
+    /// </summary>
+    /// <param name="clonedObjects">Dictionary of all already cloned objects. (Needed to avoid cycles.)</param>
+    /// <returns>The cloned object as <see cref="Variable"/>.</returns>
     public override object Clone(IDictionary<Guid, object> clonedObjects) {
       Variable clone = new Variable();
@@ -78,14 +106,28 @@
     }
 
+    /// <summary>
+    /// Gets the string representation of the current instance in the format: <c>Name: [null|Value]</c>.
+    /// </summary>
+    /// <returns>The current instance as a string.</returns>
     public override string ToString() {
       return Name + ": " + ((Value == null) ? ("null") : (Value.ToString()));
     }
 
+    /// <inheritdoc/>
     public event EventHandler<NameChangingEventArgs> NameChanging;
+    /// <summary>
+    /// Fires a new <c>NameChanging</c> event.
+    /// </summary>
+    /// <param name="e">The event arguments of the changing.</param>
     protected virtual void OnNameChanging(NameChangingEventArgs e) {
       if (NameChanging != null)
         NameChanging(this, e);
     }
+    /// <inheritdoc/>
     public event EventHandler NameChanged;
+    /// <summary>
+    /// Fires a new <c>NameChanged</c> event.
+    /// </summary>
+    /// <remarks>Calls <see cref="ItemBase.OnChanged"/>.</remarks>
     protected virtual void OnNameChanged() {
       if (NameChanged != null)
@@ -93,5 +135,9 @@
       OnChanged();
     }
+    /// <inheritdoc/>
     public event EventHandler ValueChanged;
+    /// <summary>
+    /// Fires a new <c>ValueChanged</c> even.
+    /// </summary>
     protected virtual void OnValueChanged() {
       if (ValueChanged != null)
@@ -101,4 +147,14 @@
 
     #region Persistence Methods
+    /// <summary>
+    /// Saves the current instance as <see cref="XmlNode"/> in the specified <paramref name="document"/>.
+    /// </summary>
+    /// <remarks>Calls <see cref="StorableBase.GetXmlNode"/> of base class <see cref="ItemBase"/>.<br/>
+    /// The name of the current instance is saved as an <see cref="XmlAttribute"/> with the 
+    /// tag name <c>Name</c>, the value is saved as child node with the tag name <c>Value</c>.</remarks>
+    /// <param name="name">The (tag)name of the <see cref="XmlNode"/>.</param>
+    /// <param name="document">The <see cref="XmlDocument"/> where to save the data.</param>
+    /// <param name="persistedObjects">The dictionary of all already persisted objects. (Needed to avoid cycles.)</param>
+    /// <returns>The saved <see cref="XmlNode"/>.</returns>
     public override XmlNode GetXmlNode(string name, XmlDocument document, IDictionary<Guid,IStorable> persistedObjects) {
       XmlNode node = base.GetXmlNode(name, document, persistedObjects);
@@ -110,4 +166,12 @@
       return node;
     }
+    /// <summary>
+    /// Loads the persisted variable from the specified <paramref name="node"/>.
+    /// </summary>
+    /// <remarks>See <see cref="GetXmlNode"/> to get information on how the variable must be saved.<br/>
+    /// Calls <see cref="StorableBase.Populate"/> of base class <see cref="ItemBase"/>.</remarks>
+    /// <param name="node">The <see cref="XmlNode"/> where the variable is saved.</param>
+    /// <param name="restoredObjects">The dictionary of all already restored objects. 
+    /// (Needed to avoid cycles.)</param>
     public override void Populate(XmlNode node, IDictionary<Guid,IStorable> restoredObjects) {
       base.Populate(node, restoredObjects);
Index: /trunk/sources/HeuristicLab.Core/VariableEventArgs.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/VariableEventArgs.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/VariableEventArgs.cs	(revision 776)
@@ -25,9 +25,23 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Event arguments to be able to specify the affected variable.
+  /// </summary>
   public class VariableEventArgs : ItemEventArgs {
+    /// <summary>
+    /// Gets the affected variable.
+    /// </summary>
+    /// <remarks>Uses property <see cref="ItemEventArgs.Item"/> of base class <see cref="ItemEventArgs"/>.
+    /// No own data storage present.</remarks>
     public IVariable Variable {
       get { return (IVariable)Item; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="VariableEventArgs"/> with the specified 
+    /// <paramref name="variable"/>.
+    /// </summary>
+    /// <remarks>Calls constructor of base class <see cref="ItemEventArgs"/>.</remarks>
+    /// <param name="variable">The affected variable.</param>
     public VariableEventArgs(IVariable variable)
       : base(variable) {
